load sh_ctd.mat

figure
pcolor(Time,Depth,Temp)
shading flat
set(gca,'ydir','rev')
title('Temperature')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

figure
pcolor(Time,Depth,Cond)
shading flat
set(gca,'ydir','rev')
title('Conductivity')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

figure
pcolor(Time,Depth,Fluor)
shading flat
set(gca,'ydir','rev')
caxis([0 4])
title('Fluorescence')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

figure
pcolor(Time,Depth,Sal)
shading flat
set(gca,'ydir','rev')
caxis([36.55 36.75])
title('Salinity')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

figure
pcolor(Time,Depth,SigTheta)
shading flat
set(gca,'ydir','rev')
title('Density (\sigma_{\theta})')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar



% all on one page

figure
subplot(511)
pcolor(Time,Depth,Temp)
shading flat
set(gca,'ydir','rev')
title('Temperature')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

subplot(512)
pcolor(Time,Depth,Cond)
shading flat
set(gca,'ydir','rev')
title('Conductivity')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

subplot(513)
pcolor(Time,Depth,Fluor)
shading flat
set(gca,'ydir','rev')
caxis([0 4])
title('Fluorescence')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

subplot(514)
pcolor(Time,Depth,Sal)
shading flat
set(gca,'ydir','rev')
caxis([36.55 36.75])
title('Salinity')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar

subplot(515)
pcolor(Time,Depth,SigTheta)
shading flat
set(gca,'ydir','rev')
title('Density (\sigma_{\theta})')
V = get(gca,'xtick');
I = datestr(V(1:1:length(V)),'dd-mmm');
set(gca,'xtick',V(1:1:length(V)),'xticklabel',I)
ylabel('Depth (m)')
colorbar



